.bpp-properties-group {
  position: relative;

  .group-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 10px 15px;

    .group-label {
      .label();

      font-size: 16px;
    }
  }

  > .bpp-properties-entry {
    padding-left: 15px;
    padding-right: 15px;

    &:last-child {
      margin-bottom: 6px;
    }
  }

  &:empty {
    display: none;
  }

  > .group-toggle {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 4px;
    &:hover {
      background-color: @bpp-group-toggle-hover-color;
    }
  }

  &:hover > .group-toggle {
    background-color: @bpp-group-toggle-color;
    &:hover {
      background-color: @bpp-group-toggle-hover-color;
    }
  }

  &.group-closed {
    border-top: none;

    > .group-toggle {
      background-color: @bpp-group-toggle-color;
    }

    &:hover > .group-toggle {
      background-color: @bpp-group-toggle-hover-color;
    }

    > div:not(.group-header) {
      display: none;
    }

    .group-label {
      margin-bottom: 5px;
    }
  }

  + .bpp-properties-group {
    border-top: 1px solid @bpp-group-border-color;
  }

  &:last-child {
    padding-bottom: 9px;
  }

  .group__dropdown {
    position: relative;
    justify-self: flex-end;
  }

  .group__dropdown-button {
    width: 26px;
    height: 26px;
    text-align: center;
    border: none;
    background-color: transparent;
    color: @bpp-color-666666;
    outline: none;

    display: flex;
    justify-content: center;
    align-items: center;
  }

  .group__dropdown--open .group__dropdown-button,
  .group__dropdown-button:hover {
    background-color: @silver-darken-80;
  }

  .group__dropdown-menu {
    position: absolute;
    top: 30px;
    right: 0;
    z-index: 10000;
  }
  
  .group__dropdown:not(.group__dropdown--open) .group__dropdown-menu {
    display: none;
  }

  .group__dropdown-button {
    border-radius: 100%;
  }

  .group__dropdown-menu {
    background-color: @bpp-color-ffffff;

    border: solid 1px @silver-darken-80;
    border-radius: 3px;

    padding: 4px 0 4px 0;

    box-shadow: 0 1px 4px 0 @bpp-color-000000-opacity-10;
  }

  .group__dropdown-menu-item {
    padding: 8px 16px;
  }

  .group__dropdown-menu-item:hover {
    background-color: @silver-darken-80;
  }
}
